%global srcname pluginbase

Name:           python-%{srcname}
Version:        1.0.1
Release:        %mkrel 5
Summary:        Support library for building plugins systems
Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/pluginbase
Source0:        %{pypi_source}
BuildArch:      noarch

%description
PluginBase is a module for Python that enables the development of flexible
plugin systems in Python.

%package -n python3-%{srcname}
Summary:        Support library for building plugins systems
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-%{srcname}
PluginBase is a module for Python that enables the development of flexible
plugin systems in Python.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pluginbase

%check
pushd tests
  PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v
popd

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README*



%changelog
* Sat Mar 01 2025 wally <wally> 1.0.1-5.mga10
+ Revision: 2155539
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 1.0.1-4.mga10
+ Revision: 2017897
- rebuild for python3.12
- adapt to pyproject

* Sat Mar 26 2022 umeabot <umeabot> 1.0.1-3.mga9
+ Revision: 1828627
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.1-2.mga9
+ Revision: 1783346
- rebuild for python-3.10

* Mon Aug 30 2021 wally <wally> 1.0.1-1.mga9
+ Revision: 1743643
- new version 1.0.1

* Sat Mar 27 2021 ovitters <ovitters> 1.0.0-2.mga9
+ Revision: 1711175
- rebuild for Python 3.9

* Sat Apr 11 2020 ovitters <ovitters> 1.0.0-1.mga8
+ Revision: 1566366
- Mageiafy the spec
- from Fedora


* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Mar 23 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-1
- Update to latest upstream release 1.0.0 (rhbz#1671968)

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 11 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7-4
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7-2
- Rebuilt for Python 3.7

* Thu May 24 2018 Fabian Affolter <mail@fabian-affolter.ch> - 0.7-1
- Update to latest upstream release 0.7 (rhbz#1582174)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5-4
- Rebuild for Python 3.6

* Thu Nov 17 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5-3
- Trivial improvements in spec

* Tue Nov 15 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.5-2
- Execute tests
- Fix ownership of cache

* Mon Nov 14 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.5-1
- Initial version
